Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeCreateStruct Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeCreateStruct:

## Public Member Functions
| __construct (array $data=array())
| Construct object optionally with a set of properties. More...
| addFieldDefinition (FieldDefinitionCreateStruct $fieldDef)
| Adds a new field definition. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $fieldDefinitions = array()

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentTypeCreateStruct
| $identifier
| $mainLanguageCode
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer = false
| $defaultSortField = Location::SORT_FIELD_PUBLISHED
| $defaultSortOrder = Location::SORT_ORDER_DESC
| $defaultAlwaysAvailable = true
| $names
| $descriptions
| $creatorId = null
| $creationDate = null
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 12 of file Core/REST/Client/Values/ContentType/ContentTypeCreateStruct.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeCreateStruct::__construct | ( | array | $properties = `array()` | ) |

Construct object optionally with a set of properties.

Readonly properties values must be set using $properties as they are not writable anymore after object has been created.

Parameters

  array | $properties |

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 16 of file Core/REST/Client/Values/ContentType/ContentTypeCreateStruct.php.

## Member Function Documentation

## ◆ addFieldDefinition()

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeCreateStruct::addFieldDefinition | ( | FieldDefinitionCreateStruct | $fieldDef | ) |

Adds a new field definition.

Parameters

  FieldDefinitionCreate | $fieldDef |

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentTypeCreateStruct.

Definition at line 28 of file Core/REST/Client/Values/ContentType/ContentTypeCreateStruct.php.

## Member Data Documentation

## ◆ $fieldDefinitions

eZ\Publish\Core\REST\Client\Values\ContentType\ContentTypeCreateStruct::$fieldDefinitions = array()
| protected

Definition at line 14 of file Core/REST/Client/Values/ContentType/ContentTypeCreateStruct.php.

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/ContentType/ContentTypeCreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.